<?php

class Saldo_Model extends CI_Model {

    function __construct() {
        parent::__construct();
    }

    public function cliente($idnegocio) {

        $this->db->select('id_cliente,id_negocio, nome, email, saldo, bonificacao, cpf, ddd_celular, celular, data_cadastro, endereco, numero, complemento, cep, bairro, cidade, estado, situacao');
        $this->db->where('id_negocio', $idnegocio);
        $query = $this->db->get('amn_cliente');

        if ($query->num_rows() > 0) {
            return $query->row_array();
        } else {
            return FALSE; //  O ID_TRANSACAO NÃO EXISTE NA TABELA TRANSAÇÃO
        }
    }
    
    public function transacao_transferencia($id_transacao, $id_cliente, $valor) {

        date_default_timezone_set('America/Belem');
        $data = date('Y-m-d H:i:s', time());

        $dados = array(
            'id_transacao' => $id_transacao,
            'id_cliente' => $id_cliente,
            'tipo_transacao_movimentacao' => 'Adição de Saldo',
            'data_transacao' => $data,
            'tipo_pagamento' => '0',
            'situacao' => '0',
            'valor' => $valor
        );

        $this->db->insert('amn_transacao', $dados);
    }
    
    public function log_transacao($id_transacao, $token, $id_cliente) {

        
        date_default_timezone_set('America/Belem');

        $data = date('Y-m-d H:i:s', time());

        $dados = array(
            'transacao' => $id_transacao,
            'id_cliente' => $id_cliente,
            'data' => $data,
            'situacao' => 0,
            'pago' => 0,
            'cod_interme' => $token,
        );
        
        $this->db->insert('amn_log_transacao', $dados);
    }
    
     public function recuperatransacao($id_cliente) {

        $this->db->select('id, id_transacao, id_cliente, data_transacao, tipo_transacao_movimentacao, valor');
        $this->db->where('id_cliente', $id_cliente);
        $this->db->order_by("id", "desc");
        $query = $this->db->get('amn_transacao');

        if ($query->num_rows() > 0) {
            return $query->row_array();
        } else {
            return FALSE; //  O ID_TRANSACAO NÃO EXISTE NA TABELA TRANSAÇÃO
        }
    }

}
